### Namespace

# Gom – 1.0

A GNOME library for GObject Data Mapping

Version | 0.5.6
Authors | Christian Hergert
License | LGPL-2.1-or-later
Website | https://gitlab.gnome.org/GNOME/gom/
Source | https://gitlab.gnome.org/GNOME/gom/

#### Build

C headers | `gom.h`
pkg-config files | `gom-1.0`

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Overview
- Classes Hierarchy

#### Enumerations

FilterMode |
SortingMode |

#### Error Domains

Error |

#### Callbacks

AdapterCallback |
RepositoryMigrator |
ResourceFromBytesFunc |
ResourceToBytesFunc |

#### Function Macros

ADAPTER_CONST |
COMMAND_BUILDER_CONST |
COMMAND_CONST |
CURSOR_CONST |
FILTER_CONST |
REPOSITORY_CONST |
RESOURCE_CONST |
RESOURCE_GROUP_CONST |
SORTING_CONST |